Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface ConnectionPoolConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, NotificationBroadcaster, NotificationEmitter

public interface ConnectionPoolConfig
extends ConfigElement

Configuration for the <connection-pool> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Method Summary
`java.lang.String` | `getMaxPendingCount()`
`java.lang.String` | `getQueueSizeInBytes()`
`java.lang.String` | `getReceiveBufferSizeInBytes()`
`java.lang.String` | `getSendBufferSizeInBytes()`
`void` | `setMaxPendingCount(java.lang.String value)`
`void` | `setQueueSizeInBytes(java.lang.String value)`
`void` | `setReceiveBufferSizeInBytes(java.lang.String value)`
`void` | `setSendBufferSizeInBytes(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getMaxPendingCount

    public java.lang.String getMaxPendingCount()

### setMaxPendingCount

    public void setMaxPendingCount(java.lang.String value)

### getQueueSizeInBytes

    public java.lang.String getQueueSizeInBytes()

### setQueueSizeInBytes

    public void setQueueSizeInBytes(java.lang.String value)

### getReceiveBufferSizeInBytes

    public java.lang.String getReceiveBufferSizeInBytes()

### setReceiveBufferSizeInBytes

    public void setReceiveBufferSizeInBytes(java.lang.String value)

### getSendBufferSizeInBytes

    public java.lang.String getSendBufferSizeInBytes()

### setSendBufferSizeInBytes

    public void setSendBufferSizeInBytes(java.lang.String value)

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.